# This spec is backported to ALTLinux 4.1 automatically by rpmbph script. Do not edit it.
#
Name: cheese
Version: 2.22.3
Release: alt0.M41.2

Summary: Cheese is a Photobooth-inspired application for taking pictures and videos
License: GPL
Group: Video
Url: http://www.gnome.org/projects/cheese

Source0: %name-%version.tar.bz2

Packager: Igor Zubkov <icesik@altlinux.org>

Requires(post): GConf2
# https://bugzilla.altlinux.org/show_bug.cgi?id=17436
Requires: gst-plugins-gconf
BuildPreReq: GConf2
BuildRequires: libGConf-devel

# buildreq miss this
BuildPreReq: gnome-doc-utils gnome-common

# Automatically added by buildreq on Thu Apr 03 2008 (-bi)
BuildRequires: docbook-dtds evolution-data-server-devel gcc-c++ gnome-doc-utils-xslt gst-plugins-devel libXxf86vm-devel libdbus-glib-devel libgio-devel libgnomeui-devel libhal-devel librsvg-devel

BuildRequires: rpm-build-compat >= 0.95

%description
Cheese is a Photobooth-inspired GNOME application for taking pictures
and videos from a webcam. It also includes fancy graphical effects
based on the gstreamer-backend.

%prep
%setup -q

%build
%autoreconf
%configure \
	--disable-scrollkeeper
%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%make_install DESTDIR=%buildroot install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang --with-gnome %name

%post
%gconf2_install %name
%update_menus

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%postun
%clean_menus

%files -f %name.lang
%doc AUTHORS ChangeLog NEWS README
%config %_sysconfdir/gconf/schemas/*
%_bindir/cheese
%dir %_libexecdir/cheese
%_libexecdir/cheese/cheese-bugreport.sh
%_datadir/applications/cheese.desktop
%dir %_datadir/cheese
%_datadir/cheese/
%_datadir/icons/hicolor/*/apps/cheese.*

%changelog
* Wed Oct 22 2008 Andriy Stepanov <stanv@altlinux.ru> 2.22.3-alt0.M41.2
- #17436

* Thu Aug 07 2008 Yuri N. Sedunov <aris@altlinux.org> 2.22.3-alt0.M41.1
- backport to ALTLinux 4.1 (by rpmbph script)

* Fri Jul 04 2008 Igor Zubkov <icesik@altlinux.org> 2.22.3-alt1
- 2.22.2 -> 2.22.3

* Tue May 27 2008 Igor Zubkov <icesik@altlinux.org> 2.22.2-alt1
- 2.22.1 -> 2.22.2

* Thu May 15 2008 Igor Zubkov <icesik@altlinux.org> 2.22.1-alt2
- exec %%update_menus after install and %%clean_menus after uninstall

* Thu Apr 24 2008 Igor Zubkov <icesik@altlinux.org> 2.22.1-alt1
- 2.22.0 -> 2.22.1

* Thu Apr 24 2008 Igor Zubkov <icesik@altlinux.org> 2.22.0-alt2
- fix build ob x86_64

* Thu Apr 03 2008 Igor Zubkov <icesik@altlinux.org> 2.22.0-alt1
- build for Sisyphus


